import {useCookie} from "nuxt/app";
// CLIENT
await useApiRequest({
  url: URL,
  method: 'POST',
  body: payload,
  ...config,
  onSuccess: (res) => {
    initializeSections(res);
    nuxtApp.hook('page:mounted', () => emit('sectionsLoaded', 'pageMounted'));
  },
  onError: (error) => {
    const pagePath = `/${decodeURIComponent(pathMatch ? pathMatch : '/')}`;
    if (error.response && error.response.data && error.response.status && error.response.status === 404 && error.response.data.options && error.response.data.options.project_metadata && error.response.data.options.project_metadata.pagePath404 && error.response.data.options.project_metadata.pagePath404 !== '' && error.response.data.options.project_metadata.pagePath404 !== pagePath && !useCookie("sections-auth-token").value) {
      pageNotFoundManagement(error);
      return;
    }
    if (error.response.status === 400) {
      const res = error.response;
      initializeSections({data: res});
      return;
    }
    errorResponseStatus.value = error.response.status;
    if ((errorResponseStatus.value === 404 || errorResponseStatus.value === 401) && registeredPage(errorResponseStatus.value === 404 ? 'page_not_found' : 'project_not_found')) {
      errorRegisteredPage.value = errorResponseStatus.value === 404 ? 'page_not_found' : 'project_not_found';
      errorResponseData.value = error.response.data;
    } else if (error.response.data.error) {
      showToast("Error", "error", i18n.t('loadPageError') + error.response.data.error);
    } else {
      showToast("Error", "error", i18n.t('loadPageError') + error.response.data.message, error.response.data.options);
    }
    loading.value = false;
    pageNotFound.value = true;
    if (errorResponseStatus.value === 404) {
      sectionsMainErrors.value.push(i18n.t('404NotFound'));
    }
    emit("load", false);
  }
});
