export declare function formatName(name: string): string;
export declare const formatTexts: (text: string, sep?: string) => string;
export declare const importJs: (path: string) => any;
export declare const importComp: (path: string) => any;
export declare const sectionHeader: (header: Record<string, string>) => Record<string, string>;
export declare function globalFileUpload(file: File, oldMediaID?: string): Promise<{
    data: any;
    success: boolean;
    error: any;
}>;
export declare function deleteMedia(id: string): Promise<{
    data: any;
    success: boolean;
    error: any;
}>;
export declare function addNewStaticType(sectionTypeName: string): Promise<{
    status: string;
    message: any;
}>;
export declare const parsePath: (path: string) => string;
export declare const parseQS: (path: string, routeQueries: boolean, queries: any) => Record<string, any>;
export declare function getGlobalTypeData(linked_to: string): Promise<{
    res: any;
    error: any;
}>;
export declare const validateQS: (qsObject: Record<string, any>, qsKeys: string[], editMode: boolean) => Record<string, any> | undefined;
export declare const dummyDataPresets: Record<string, any[]>;
export declare const getRandomElement: (arr: any[]) => any;
export declare const populateWithDummyValues: (obj: any, presets: Record<string, any[]>) => any;
export declare const getSectionProjectIdentity: () => any;
export declare const renderPageData: () => Promise<{
    res: {
        data: any;
        status: number;
    } | undefined;
    error: null;
} | {
    res: null;
    error: unknown;
}>;
export declare const showToast: (title: any, variant: any, message: any, options: any) => void;
/**
 * Interface for API request options
 */
interface ApiRequestOptions {
    url: string;
    method?: 'GET' | 'POST' | 'PUT' | 'PATCH' | 'DELETE';
    body?: any;
    onSuccess?: (data: any) => void;
    onError?: (error: ApiError) => void;
    headers?: HeadersInit;
    [key: string]: any;
}
/**
 * Interface for API error response
 */
interface ApiError {
    response: {
        data: any;
        status: number;
        statusText?: string;
    };
}
/**
 * A reusable fetch helper for Nuxt.js applications
 * @template T The expected return type of the API call
 * @param {ApiRequestOptions} options - Request configuration options
 * @returns {Promise<T>} - Returns a promise that resolves to the response data
 */
export declare const useApiRequest: <T = any>({ url, method, body, onSuccess, onError, headers, ...fetchOptions }: ApiRequestOptions) => Promise<{
    data: T;
    status: number;
} | undefined>;
export {};
